using UnityEngine;
using System.Collections;
using System.Collections.Generic;

// Send a signal
class Item_SendSignal : Item
{
	public string _symbol;
	public string _value;
	
	public Item_SendSignal( string symbol , string value )
	{
		_symbol = symbol;
		_value = value;
	}
	
	public override string getLabel()
	{
		return "Item_SendSignal " + _symbol;
	}
	
	public override eTickMsg tick( TrackManager trackManager , Track track )
	{
		//trackManager.emit ( new Event(_symbol, _value) );
		return eTickMsg.NEXT;
	}
	
	public override eReceiveMsg receive( TrackManager trackManager , Track track , Event evt )
	{
		return eReceiveMsg.I_DONT_CARE;
	}
	
}
